Subject: Re: [PATCH] Reorganise and then fixup the pseries cpu hotplug code

From: [email-masked] (Linas Vepstas)
Date: Mon, 27 Nov 2006 15:10:13 -0600

On Thu, Nov 23, 2006 at 01:11:30PM +1100, Michael Ellerman wrote:
> The pseries cpu hotplug code is currently spread between ./kernel/rtas.c,
> ./platforms/pseries/smp.c and ./platforms/pseries/setup.c. Some of it is
> not #ifdef CONFIG_HOTPLUG_CPU, but it should be.
> 
> Signed-off-by: Michael Ellerman <[email-masked]>

Ack'ed by: Linas Vepstas <[email-masked]>

> Linas, Srinivasa, can you test that this addresses the problems you
> were seeing. It should, but it'd be good if you could test it.

Actually, I was debugging Srinivasa's problem long-distance, which
was an internally-reported bugzilla bug that had landed in my lap.
I don't actually have a testable config. But, based on this chain
of mails, I am happy with the result!

--linas